콘텐츠로 건너뛰기

sync-3 Avatar Image to Video

통합

모델 id sync-lipsync/v3/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/v3/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $1.334 1,334 API 크레딧 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
Sync Labs 립싱크 및 아바타 립싱크 #animation#lip-sync#text-to-speech

정지 이미지 한 장과 음성 트랙을 오디오 길이에 맞는 말하는 동영상으로 변환

Sync Labs · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 image_url
파일을 끌어다 놓거나

sync-3을 사용한 이미지-동영상 생성을 위한 JPEG, PNG 또는 WebP 이미지 URL입니다. 모델은 이미지 속 얼굴을 애니메이션화하고 제공된 오디오에 맞춰 입술을 움직입니다.

•필수 audio_url
파일을 끌어다 놓거나

입력 오디오 URL이며 생성된 동영상은 이 오디오와 동일한 길이를 가집니다.

POST /run/sync-lipsync/v3/image-to-video?wait=20 견적 → $1.334
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sync-lipsync/v3/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

sync-3 Avatar Image to Video 정보

`image_url`(JPEG, PNG 또는 WebP)과 `audio_url`을 입력하면 얼굴을 애니메이션화해 오디오에 맞춰 립싱크합니다. 사진뿐 아니라 일러스트나 애니메이션 프레임에도 적합합니다. 출력 동영상의 길이는 오디오와 같습니다. 다른 매개변수는 없습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_url필수 image
유형url · image
sync-3을 사용한 이미지-동영상 생성을 위한 JPEG, PNG 또는 WebP 이미지 URL입니다. 모델은 이미지 속 얼굴을 애니메이션화하고 제공된 오디오에 맞춰 입술을 움직입니다.
audio_url필수 audio
유형url · audio
입력 오디오 URL이며 생성된 동영상은 이 오디오와 동일한 길이를 가집니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sync-lipsync/v3/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1334,
    "usd": "1.334",
    "charged": 1334,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/avatar/talking_avatar.jpg",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}모델이 생성한 동영상입니다.

더 많은 모델: 립싱크 및 아바타

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/sync-lipsync/v3/image-to-video.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt